aboutsummaryrefslogtreecommitdiff
path: root/testsuite/start-stop-daemon.tests
diff options
context:
space:
mode:
authorBjørn Mork <bjorn@mork.no>2015-05-15 10:20:47 +0200
committerBjørn Mork <bjorn@mork.no>2015-05-15 10:20:47 +0200
commit73b16af8feec390afbabd9356d6e5e83c0390838 (patch)
tree3730020ba2f9caeb9d7815a975af51830b51ce11 /testsuite/start-stop-daemon.tests
busybox: imported from http://www.busybox.net/downloads/busybox-1.13.3.tar.bz2busybox-1.13.3
Signed-off-by: Bjørn Mork <bjorn@mork.no>
Diffstat (limited to 'testsuite/start-stop-daemon.tests')
-rwxr-xr-xtestsuite/start-stop-daemon.tests19
1 files changed, 19 insertions, 0 deletions
diff --git a/testsuite/start-stop-daemon.tests b/testsuite/start-stop-daemon.tests
new file mode 100755
index 0000000..ba77cde
--- /dev/null
+++ b/testsuite/start-stop-daemon.tests
@@ -0,0 +1,19 @@
+#!/bin/sh
+# Copyright 2008 by Denys Vlasenko
+# Licensed under GPL v2, see file LICENSE for details.
+
+. testing.sh
+
+# testing "test name" "cmd" "expected result" "file input" "stdin"
+
+testing "start-stop-daemon -x without -a" \
+ 'start-stop-daemon -S -x true 2>&1; echo $?' \
+ "0\n" \
+ "" ""
+
+testing "start-stop-daemon -a without -x" \
+ 'start-stop-daemon -S -a false 2>&1; echo $?' \
+ "1\n" \
+ "" ""
+
+exit $FAILCOUNT